unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, PrintSM, SMRBase, Grids, DBGrids, DBTables, ExtCtrls, StdCtrls;

type
  TfrmBarcode = class(TForm)
    pnlToolbar: TPanel;
    qryCustomer: TQuery;
    DBGrid: TDBGrid;
    SMReport: TSMReport;
    dSrcCustomer: TDataSource;
    btnDesign: TButton;
    btnPreview: TButton;
    btnClose: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnDesignClick(Sender: TObject);
    procedure btnPreviewClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmBarcode: TfrmBarcode;

implementation

{$R *.DFM}
uses SMDesign, SMBarCode;

procedure TfrmBarcode.FormCreate(Sender: TObject);
begin
  qryCustomer.Open;
  SMReport.LoadReport(ExtractFilePath(Application.ExeName) + '\ColList.SMR');
end;

procedure TfrmBarcode.FormDestroy(Sender: TObject);
begin
  qryCustomer.Close;
end;

procedure TfrmBarcode.btnCloseClick(Sender: TObject);
begin
  Close
end;

procedure TfrmBarcode.btnDesignClick(Sender: TObject);
begin
  DesignReport(SMReport)
end;

procedure TfrmBarcode.btnPreviewClick(Sender: TObject);
begin
  SMReport.Preview
end;

end.
